Error al instalar mysql-server-5.x en Ubuntu

Este error sucede en varias versiones de Ubuntu y con mysql-server-5.1 y mysql-server-5.5.

Al hacerlo con apt, regresa un error, también si lo intentamos con tasksel (E: Sub-process /usr/bin/dpkg returned an error code (1)).
La solución es simple, solo hay que hacer los siguientes pasos: